Subject: Re: Flash renumbering (was:Re: [DNA] DNA proposal issue 19 -was[Issue X]LinkID v.s. LandmarkPrefix)

From: Sathya Narayanan <[email-masked]>
Date: Mon, 25 Jul 2005 22:56:48 -0400

Please read 
"landmark question using 'P3', then a 'yes' answer just means P3 is on the link" as 
"landmark question using 'P2', then a 'yes' answer just means P2 is on the link"

since P2 is the prefix moved from Link1 to Link3.

- Sathya

----- Original Message -----
From: Sathya Narayanan <[email-masked]>
Date: Monday, July 25, 2005 10:50 pm
Subject: Flash renumbering (was:Re: [DNA] DNA proposal issue 19 -	was[Issue X]LinkID v.s. LandmarkPrefix)

> Erik -
> 
> I reordered the text in your email (and changed the subject line) 
> with my comments inline.
> 
> > But the problem certainly isn't specific to any particular 
> proposal, 
> > since they all rely on prefixes for link identification. And I 
> suspect 
> > that we have the same choices in terms of solutions independent 
> of which 
> > proposal we apply this to.
> FWIW, I completely agree with you on this. IMHO, the 
> synchronization complexity/issue is same/similar for all of these 
> schemes.
> > We could decide this is the administrators fault, and not do 
> anything. 
> > Or we could add a mechanism to attempt to detect this and 
> recover 
> > in less than 7 days.
> 
> Having said that, I am going to try to solve this problem using 
> the Landmark scheme. Be warned that this is me just thinking out 
> loud and you should remember how lost I get when I do that ;-)
> 
> > The worst case would be when P1 and P2 are assigned to link1, 
> and P2 is 
> > immediately reassigned to link3 (which had prefix P3 before), at 
> about 
> > the same time that the a host moves from link1 to link3.
> > 
> > In that case, any prefix based scheme for link identification 
> (CPL, landmark, linkid, or anything else we can invent) can get 
> into trouble, 
> > by the host assuming that P1, P2, and P3 are assigned to link3.
> It can be argued that the semantics of landmark exchange is not to 
> imply all those prefixes are on the link - if the host did a 
> landmark question using 'P3', then a 'yes' answer just means P3 is 
> on the link (link3 in this case). Does that make sense? 
> 
> The negative side is that when a host is on a link with P4, P5, 
> P6, sends a landmark question with P6 and gets a 'yes' answer, the 
> host cannot say anything about the availability of P4 or P5. The 
> host will have to do separate landmark questions for each of them 
> or hope for a complete RA to be received. The choice of the 
> landmark on the host side becomes crucial in doing DNA. Now, since 
> G1 in the goals document is
> "G1: DNA schemes should detect the identity of the currently 
> attached link to ascertain the validity of the existing IP 
> configuration.", if the chosen landmark-prefix corresponds to a 
> non-local IPv6 address of the host, its validity of atleast one 
> address can be ascertained.
> 
> Such a change in the semantics, I think, restricts the host from 
> making assumptions about prefixes on link unless explicitly seen 
> in RA messages continuously and hence can address the flash 
> renumbering and early assignment problem.
> 
> What do you think?
> 
> -Sathya
> 
> > 
> > Should this happen, then the host will assume that P1 is usable 
> until 
> > the last valid/preferred lifetimes it saw has expired. Since RFC 
> > 2461 
> > suggests a default preferred lifetime of 7 days, the host will 
> try 
> > to 
> > use P1 as a source address for 7 days, even though no packets 
> > returned 
> > to P1 will make it back to the link to which the host is attached.
> > 
> 
> 
>